Package org.gradle.external.javadoc

# Interface OptionLessJavadocOptionFileOption<T>

Type Parameters:
  `T` - The type which this option represents.

All Known Subinterfaces:
  `JavadocOptionFileOption<T>`

public interface OptionLessJavadocOptionFileOption<T>
Represents a Javadoc option.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `T`
  `getValue()`
  `void`
  `setValue(T value)`
  `void`
  `write(org.gradle.external.javadoc.internal.JavadocOptionFileWriterContext writerContext)`

- ## Method Details

  - ### getValue

    T getValue()

  - ### setValue

    void setValue(T value)

  - ### write

    void write(org.gradle.external.javadoc.internal.JavadocOptionFileWriterContext writerContext) throws IOException
    Throws:
      `IOException`